<?php

namespace HT_Builder_Pro\Elementor;
use Elementor\Controls_Manager;
use Elementor\Element_Base;
use Elementor\Controls_Stack;
use Elementor\Plugin as Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
* Widgets Control
*/
class HTBuilder_Widgets_Control{

    private static $instance = null;
    public static function instance() {
        if ( is_null( self::$instance ) ) {
            self::$instance = new self();
        }
        return self::$instance;
    }
    
    function __construct(){
        $this->init();
    }

    // Widgets Initialize
    public function init() {

        // Add Plugin actions
        add_action( 'elementor/widgets/widgets_registered', [ $this, 'register_widgets' ] );
    }

    // Widgets Register
    public function register_widgets() {

        $bl_element      = array();
        $element_manager = array();

        // Builder Element
        if( htbuilder_get_option_pro( 'enablecustomtemplate', 'htbuilder_templatebuilder_tabs', 'on' ) == 'on' ){
            $bl_element  = array(
                'bl_social_share',
                'bl_print_page',
                'bl_view_counter',
                'bl_post_navigation',
                'bl_related_post',
                'bl_popular_post',
            );
        }
        $element_manager = array_merge( $element_manager, $bl_element );

        // Include Widget files
        foreach ( $element_manager as $element ){
            if (  ( htbuilder_get_option_pro( $element, 'htbuilder_element_tabs', 'on' ) === 'on' ) && file_exists(HTBUILDER_PL_PATH_PRO.'includes/widgets/'.$element.'.php' ) ){
                require( HTBUILDER_PL_PATH_PRO.'includes/widgets/'.$element.'.php' );
                $class_name = 'HT_Builder_Pro\Elementor\Widget\\'.$element.'_ELement';
                Elementor::instance()->widgets_manager->register_widget_type( new $class_name() );
            }
        }

    }

}

HTBuilder_Widgets_Control::instance();