<?php

/*
 * Plugisn Options value
 * return on/off
 */
if( !function_exists('htbuilder_get_option_pro') ){
    function htbuilder_get_option_pro( $option, $section, $default = '' ){
        $options = get_option( $section );
        if ( isset( $options[$option] ) ) {
            return $options[$option];
        }
        return $default;
    }
}

/*
 * Set View Counter
 * return $count
 */
if( !function_exists('htbuilder_setpostviews') ){
    function htbuilder_setpostviews( $postid, $posttype ) {
        session_start();
        if( $posttype == 'page' ){
            $count_key = 'ht_page_views_count';
        }else{
            $count_key = 'ht_post_views_count';
        }
        $count = get_post_meta( $postid, $count_key, true );
        if( $count == '' ){
            $count = 0;
            delete_post_meta( $postid, $count_key );
            add_post_meta( $postid, $count_key, '0' );
        }else{
            // Check Session and increase view Count
            if( !isset( $_SESSION[ $count_key.'-'. $postid ] ) ){
                $_SESSION[ $count_key.'-'. $postid ] = "htsc";
                $count++;
                update_post_meta( $postid, $count_key, $count );
            }
        }
    }
}

/*
 * Get View Counter
 * return $count
 */
if( !function_exists('htbuilder_getpostviews') ){
    function htbuilder_getpostviews( $postid, $posttype ){
        if( $posttype == 'page' ){
            $count_key = 'ht_page_views_count';
        }else{
            $count_key = 'ht_post_views_count';
        }
        $count =  get_post_meta( $postid, $count_key, true );
        if( $count =='' ){
            delete_post_meta( $postid, $count_key );
            add_post_meta( $postid, $count_key, '0' );
            return "0";
        }
        return $count;
    }
}

/*
 * Get View Counter
 * return $count
 */
if( !function_exists('htbuilder_view_count') ){
    function htbuilder_view_count(){
        if( is_single() && get_post_type() == 'post' ){
            htbuilder_setpostviews( get_the_ID(), 'post' );
        }elseif( is_singular( 'page' ) && get_post_type() == 'page' ){
            htbuilder_setpostviews( get_the_ID(), 'page' );
        }
    }
    add_action('template_redirect', 'htbuilder_view_count');
}